import java.util.*; // pour ArrayList, List, Arrays, Comparator

public class Exodeux {


public static void main (String[] args) {



AfficherTouslesArgs(args);
AfficherLes5erArgs(args);
trierEtAfficherNaturel(args);
trierEtAffiicher(args);

}


public static void AfficherTouslesArgs(String[] arguments){


String TousLesArgsTransforme = Arrays.toString(arguments);
System.out.println("Voici tous les args " + TousLesArgsTransforme);


}

public static void AfficherLes5erArgs(String[] arguments) {

int limite = Math.min(5, arguments.length);
String[] premier = Arrays.copyOf(arguments,limite);
System.out.println("Voici les 5er arguments : "+Arrays.toString(premier));




}



public static void trierEtAfficherNaturel(String[] args) {


String[] copyArgument = Arrays.copyOf(args, args.length);

Arrays.sort(copyArgument);

String NaturelTriage = Arrays.toString(copyArgument);

System.out.println("Tri naturel" + NaturelTriage);





}

public static void trierEtAffiicher(String[] args){



String[] copyArgument = Arrays.copyOf(args, args.length);
Arrays.sort(copyArgument,Comparator.nullsLast(String::compareTo)); //Comparator.nullsLast(String::compareTo); String::compareToIgnoreCase
String Sanscassetriernickelchrome = Arrays.toString(copyArgument);
System.out.println("Tri sans casse naturel :  "+ Sanscassetriernickelchrome);






}











}